## efax 0.9a

=== Makefile ===
# Makefile for efax

# Change the following to the name of your ANSI C compiler
# (normally gcc).

CC=gcc

# Compile/load options. Add -DNO_STRERROR to CFLAGS if _strerror
# is undefined

CFLAGS=
LDFLAGS=

# Change the following to the destination directories for
# binaries and man pages. Probably /usr/bin and /usr/man on
# Linux, /usr/local/{bin,man} on other systems.

BINDIR=/usr/bin
MANDIR=/usr/man

.c.o:
	$(CC) $(CFLAGS) -c $<

all:	efax efix

efax:	efax.o efaxlib.o efaxio.o efaxos.o efaxmsg.o
	$(CC) -o efax $(LDFLAGS) efax.o efaxlib.o efaxio.o efaxos.o efaxmsg.o
	strip efax

efix:	efix.o efaxlib.o efaxmsg.o
	$(CC) -o efix $(LDFLAGS) efix.o efaxlib.o efaxmsg.o
	strip efix

install:
	cp fax efax efix $(BINDIR)
	chmod 755 $(BINDIR)/fax $(BINDIR)/efax $(BINDIR)/efix
	cp fax.1 efax.1 efix.1 $(MANDIR)/man1
	chmod 644 $(MANDIR)/man1/fax.1 $(MANDIR)/man1/efax.1  \
		$(MANDIR)/man1/efix.1

clean:	
	rm -f efax efix efax.o efix.o efaxlib.o efaxio.o efaxos.o efaxmsg.o

efax.o:		efax.c    efaxmsg.h efaxlib.h efaxio.h efaxos.h
efaxio.o:	efaxio.c  efaxmsg.h           efaxio.h efaxos.h
efaxos.o:	efaxos.c  efaxmsg.h efaxlib.h          efaxos.h
efix.o:		efix.c    efaxmsg.h efaxlib.h           
efaxlib.o:	efaxlib.c efaxmsg.h efaxlib.h           
efaxmsg.o:	efaxmsg.c efaxmsg.h

=== debian/changelog ===
efax (1:0.9a-25) unstable; urgency=medium

  * QA upload.
  * Remove misleading and obsolete debian/README.source
  * Updated Standards-Version from 4.7.0 to 4.7.2.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 03 Aug 2025 14:19:01 +0200

efax (1:0.9a-24) experimental; urgency=medium

  * QA upload.
  * debian/control: Remove dh-sequence-zz-debputy-rrr from Build-Depends.
  * debian/copyright: Update FSF address to URL.

 -- João Vitor Caversan <joaopassos@alunos.utfpr.edu.br>  Mon, 23 Jun 2025 18:03:04 -0300

efax (1:0.9a-23) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.5.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Fixed typo in d/debputy.manifest (var/loog/ -> var/log/) (Closes: #1074783).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 24 Oct 2024 20:25:43 +0200

efax (1:0.9a-22) unstable; urgency=medium

  * QA upload.
  * Remove obsolete `postinst`
  * Migrate to `debputy` to avoid needing `(fake)root`.
  * Set `Rules-Requires-Root: no` due to the above change.

 -- Niels Thykier <niels@thykier.net>  Thu, 20 Jun 2024 19:54:37 +0000

efax (1:0.9a-21) unstable; urgency=medium

  * QA upload.

  [ Vagrant Cascadian ]
  * debian/patches: Switch to "3.0 (quilt)" source format.
    (Closes: #1005979)
  * debian/rules: Switch to "dh" (Closes: #999252, #1010872)
  * debian/copyright: References GPL-2 directly.
  * debian/rules: Use default CC passed via dh_auto_build.
    (Closes: #916253)
  * debian/control: Set Rules-Requires-Root to "binary-targets".

  [ Helmut Grohne ]
  * debian/patches: Defer stripping to dh_strip. (Closes: #916253)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Wed, 11 May 2022 21:16:23 -0700

efax (1:0.9a-20) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see: #871240)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.
  * debian/rules:
      - Added DEB_CFLAGS_MAINT_APPEND variable as a workaround to fix a FTBFS
        with GCC-10. (Closes: #957167)
      - Removed superseded package 'gs' from Suggests field.
      - Using dh_prep instead of dh_clean -k.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 21 Sep 2020 21:19:22 -0300

efax (1:0.9a-19.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update DH level to 10. (Closes: #817447)
  * debian/compat: updated to 10.
  * debian/control:
     - Bumped Standards-Version to 3.9.8.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Thu, 15 Dec 2016 10:12:26 -0200

efax (1:0.9a-19) unstable; urgency=low

  * debian/patches/00list: apply patch from DEXTARR and brown paper bag

 -- MJ Ray (Debian) <mjr@debian.org>  Mon, 23 Jan 2006 12:57:58 +0000

efax (1:0.9a-18) unstable; urgency=low

  * Check and update to Standards-Version 3.6.2.0
  * Update FSF address in copyright file
  * Patch from DEXTARR to handle case when fax device is stopped
  * Remove dependency on libpaperg (Closes: #346578)

 -- MJ Ray (Debian) <mjr@debian.org>  Sat, 14 Jan 2006 13:29:33 +0000

efax (1:0.9a-17) unstable; urgency=low

  * Correct log directory (Closes: #333077)

 -- MJ Ray (Debian) <mjr@debian.org>  Tue, 18 Oct 2005 15:46:31 +0100

efax (1:0.9a-16) unstable; urgency=low

  * New maintainer (Closes: #280691)
  * Patch from Joerg Dorchain to correct faxmail and attach faxes
    (Closes: #238136)
  * Patch to read other CONFIGFILES from Paolo P. (Closes: #198149)
  * Make efax logfiles end .efax.log because mgetty-fax is using our
    spool too (Closes: #207911)
  * Add version to libpaperg dependency (Closes: #322255)
  * Update website URL in man efax (Closes: #322258)
  * Correct example in man fax (Closes: #322259)
  * Give better error message when non-fax-capable modem supports
    +FCLASS command (Closes: #202668)
  * Add debconf-2.0 as an alternative for debconf
  * Small typing fix to Description

 -- MJ Ray (Debian) <mjr@debian.org>  Mon,  3 Oct 2005 16:47:22 +0100

efax (1:0.9a-15) unstable; urgency=low

  * QA upload
  * New patch 04crashpowerpc.diff by Matteo Frigo to fix a segfault on PowerPC
    (Closes: #280271)
  * Remove duplicate Build-Depends line in debian/control
  * List new upstream URL in debian/copyright (Closes: #243577)
  * Do not run weekly cronjob if efax is uninstalled (but not purged).
    (Closes: #201392)
  * Use -print0 | xargs -0 instead of plain find|xargs in cronjob.
  * Stop debconf abuse, by dropping the config-script and templates, both
    notes belong to README.Debian, where I've added the information to
    (Closes: #194560). This also does away with the need to incorporate the
    Japanese debconf translation (Closes: #214042)
  * Invoke db_purge on upgrades.
  * Clean up packaging (debhelper v1), by repackaging from scratch with
    dh_make and dpatch. - Standards-Version: 3.6.1

 -- Andreas Metzler <ametzler@debian.org>  Thu,  2 Dec 2004 09:08:48 +0100

efax (1:0.9a-14) unstable; urgency=low

  * Changed Maintainer contact e-mail.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon,  1 Mar 2004 22:53:24 +0100

efax (1:0.9a-13) unstable; urgency=low

  * debian/patches: 02fax_notify.diff - Fixed REMID and FILES values in
    NOTIFY fax script (Closes: #130614)
  * debian/patches: 03fax_send.diff - Added feedback when user forgets to
    specify the file to send with fax script (Closes: #144406)

 -- Filippo Panessa <kalem@linux.it>  Fri, 18 Apr 2003 17:44:01 +0200

efax (1:0.9a-12) unstable; urgency=low

  * New maintainer
  * New debian build scripts
  * debian/templates: Added Russian (ru_RU.KOI8-R) text using patch by Ilgiz
    Kalmetev <ilgiz@bashtelecom.ru> (Closes: #137162)


=== debian/control ===
Source: efax
Section: comm
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/efax
Vcs-Git: https://salsa.debian.org/debian/efax.git

Package: efax
Architecture: any
Depends: debconf (>= 0.5) | debconf-2.0,
         libpaper-utils,
         make,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: xloadimage | imagemagick | mgetty-viewfax,
Description: programs to send and receive fax messages
 efax is a small ANSI C/POSIX program that provides the data transport
 function for fax applications using any Class 1 or Class 2 fax modem
 Another program, efix, converts between fax, text, bitmap and grayscale
 formats. fax, a shell script, provides a simple user interface to the efax
 and efix programs. It allows you to send text or Postscript files as faxes
 and receive, print or preview received faxes.
 .
 The ghostscript package is needed to fax Postscript files, and an image
 viewing program like xloadimage is needed to view incoming faxes.
 .
 Note that you probably have to adapt /etc/efax.rc to your needs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-format

# -fcommon is a workaround for #957167
CFLAGS += -Wall -DDEBIAN -fcommon

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- efax CFLAGS="$(CFLAGS)"
	dh_auto_build -- efix CFLAGS="$(CFLAGS)"

override_dh_auto_install:
	dh_auto_install -- BINDIR=$(CURDIR)/debian/efax/usr/bin MANDIR=$(CURDIR)/debian/efax/usr/share/man

## efax 0.9a-19.1+apricot-19.1

=== debian/changelog ===
efax (1:0.9a-19.1+apricot-19.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update DH level to 10. (Closes: #817447)
  * debian/compat: updated to 10.
  * debian/control:
     - Bumped Standards-Version to 3.9.8.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Thu, 15 Dec 2016 10:12:26 -0200

efax (1:0.9a-19.1+apricot-19) unstable; urgency=low

  * debian/patches/00list: apply patch from DEXTARR and brown paper bag

 -- MJ Ray (Debian) <mjr@debian.org>  Mon, 23 Jan 2006 12:57:58 +0000

efax (1:0.9a-19.1+apricot-18) unstable; urgency=low

  * Check and update to Standards-Version 3.6.2.0
  * Update FSF address in copyright file
  * Patch from DEXTARR to handle case when fax device is stopped
  * Remove dependency on libpaperg (Closes: #346578)

 -- MJ Ray (Debian) <mjr@debian.org>  Sat, 14 Jan 2006 13:29:33 +0000

efax (1:0.9a-19.1+apricot-17) unstable; urgency=low

  * Correct log directory (Closes: #333077)

 -- MJ Ray (Debian) <mjr@debian.org>  Tue, 18 Oct 2005 15:46:31 +0100

efax (1:0.9a-19.1+apricot-16) unstable; urgency=low

  * New maintainer (Closes: #280691)
  * Patch from Joerg Dorchain to correct faxmail and attach faxes
    (Closes: #238136)
  * Patch to read other CONFIGFILES from Paolo P. (Closes: #198149)
  * Make efax logfiles end .efax.log because mgetty-fax is using our
    spool too (Closes: #207911)
  * Add version to libpaperg dependency (Closes: #322255)
  * Update website URL in man efax (Closes: #322258)
  * Correct example in man fax (Closes: #322259)
  * Give better error message when non-fax-capable modem supports
    +FCLASS command (Closes: #202668)
  * Add debconf-2.0 as an alternative for debconf
  * Small typing fix to Description

 -- MJ Ray (Debian) <mjr@debian.org>  Mon,  3 Oct 2005 16:47:22 +0100

efax (1:0.9a-19.1+apricot-15) unstable; urgency=low

  * QA upload
  * New patch 04crashpowerpc.diff by Matteo Frigo to fix a segfault on PowerPC
    (Closes: #280271)
  * Remove duplicate Build-Depends line in debian/control
  * List new upstream URL in debian/copyright (Closes: #243577)
  * Do not run weekly cronjob if efax is uninstalled (but not purged).
    (Closes: #201392)
  * Use -print0 | xargs -0 instead of plain find|xargs in cronjob.
  * Stop debconf abuse, by dropping the config-script and templates, both
    notes belong to README.Debian, where I've added the information to
    (Closes: #194560). This also does away with the need to incorporate the
    Japanese debconf translation (Closes: #214042)
  * Invoke db_purge on upgrades.
  * Clean up packaging (debhelper v1), by repackaging from scratch with
    dh_make and dpatch. - Standards-Version: 3.6.1
    
 -- Andreas Metzler <ametzler@debian.org>  Thu,  2 Dec 2004 09:08:48 +0100

efax (1:0.9a-19.1+apricot-14) unstable; urgency=low

  * Changed Maintainer contact e-mail.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon,  1 Mar 2004 22:53:24 +0100

efax (1:0.9a-19.1+apricot-13) unstable; urgency=low

  * debian/patches: 02fax_notify.diff - Fixed REMID and FILES values in
    NOTIFY fax script (Closes: #130614)
  * debian/patches: 03fax_send.diff - Added feedback when user forgets to
    specify the file to send with fax script (Closes: #144406)

 -- Filippo Panessa <kalem@linux.it>  Fri, 18 Apr 2003 17:44:01 +0200
 

efax (1:0.9a-19.1+apricot-12) unstable; urgency=low

  * New maintainer
  * New debian build scripts
  * debian/templates: Added Russian (ru_RU.KOI8-R) text using patch by Ilgiz 
    Kalmetev <ilgiz@bashtelecom.ru> (Closes: #137162) 
  * debian/templates: Added Danish (da_DK) text using patch by Morten 
    Brix Pedersen <morten@wtf.dk> (Closes: #176007)
  * debian/templates: Added Italian (it_IT) text
  * debian/patches: 00fax_locale.diff - Fixed fax (view|make|send) for 
    all locales (Closes: #160926, #165832)
  * debian/patches: 01faxmail-mime.diff - Fixed wrong MIME generates from 
    fax scripts in faxmail function (Closes: #140114)
  
 -- Filippo Panessa <kalem@linux.it>  Mon, 14 Apr 2003 00:16:59 +0200
 

efax (1:0.9a-19.1+apricot-11) unstable; urgency=low

  * Orphaned: maintainer set to QA team.
  * Added a libpaper-utils dependency. Not a real error, anyway libpaperg
    is a dummy package, so a direct dependency is better.
    (closes: #180440)
  * Short description rephrased.
  * Policy updated.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon,  7 Apr 2003 16:35:10 +0200

efax (1:0.9a-19.1+apricot-10) unstable; urgency=low

  * Changed paper sizes in fax to mm using fix by Masaki Shinomiya 
  <shino@pos.to>. Closes: #153537
  * Added patch from Masaki Shinomiya <shino@pos.to> to efax.c for
  Sparc.
  
 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Sat, 20 Jul 2002 10:39:42 +0100

efax (1:0.9a-19.1+apricot-9) unstable; urgency=low

  * New Maintainer. Closes: #133293

 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Wed, 20 Feb 2002 14:31:10 +0000

efax (1:0.9a-19.1+apricot-8) unstable; urgency=low

  * efax.c: Applied patch by briand@zipcon.net (Closes: #132280)
  * debian/control: Changed Priority: to Optional as per overrides file

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  4 Feb 2002 20:10:41 -0600

efax (1:0.9a-19.1+apricot-7) unstable; urgency=low

  * debian/templates: Added Brazilian portuguese (pt_BR) text (Closes: 108527)
  * debian/copyright: Debian/GNU Linux typo fix (lintian)
  * debian/control: Upgraded to Standards-Version 3.5.0

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 14 Dec 2001 20:23:09 -0600

efax (1:0.9a-19.1+apricot-6) unstable; urgency=low

  * debian/templates: New debconf text in spanish (Closes: #102814)
  * debian/control: Added make to Depends (Closes: #106243)
  * debian/templates: Changed Type from text to note (Closes: #106335)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 31 Jul 2001 22:04:11 -0500

efax (1:0.9a-19.1+apricot-5) unstable; urgency=low

  * efax.rc: Set OWNER and MODE to empty strings to prevent the from being
    reset by /usr/bin/fax (Closes: #89239)



=== debian/control ===
Source: efax
Section: comm
Priority: optional
Maintainer: MJ Ray (Debian) <mjr@debian.org>
Build-Depends: debhelper (>= 10), dpatch
Standards-Version: 3.9.8

Package: efax
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpaper-utils, debconf (>= 0.5) | debconf-2.0, make
Suggests: gs, xloadimage | imagemagick | mgetty-viewfax
Description: programs to send and receive fax messages
 efax is a small ANSI C/POSIX program that provides the data transport
 function for fax applications using any Class 1 or Class 2 fax modem. 
 Another program, efix, converts between fax, text, bitmap and grayscale 
 formats. fax, a shell script, provides a simple user interface to the efax 
 and efix programs. It allows you to send text or Postscript files as faxes
 and receive, print or preview received faxes. 
 .
 The ghostscript package is needed to fax Postscript files, and an image
 viewing program like xloadimage is needed to view incoming faxes.
 .
 Note that you probably have to adapt /etc/efax.rc to your needs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make


CFLAGS = -Wall -g -DDEBIAN

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


build: build-stamp

build-stamp: patch-stamp
	dh_testdir

	$(MAKE) efax CC="gcc" CFLAGS="$(CFLAGS)" 
	$(MAKE) efix CC="gcc" CFLAGS="$(CFLAGS)"

	touch build-stamp

clean: clean1 unpatch
clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install BINDIR=$(CURDIR)/debian/efax/usr/bin MANDIR=$(CURDIR)/debian/efax/usr/share/man


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	install -m 0770 -o root -g dialout -d \
		$(CURDIR)/debian/efax/var/spool/fax
	install -m 0770 -o root -g dialout -d \
		$(CURDIR)/debian/efax/var/log/efax 
	dh_installcron
	dh_strip
	dh_compress
	dh_fixperms -X/var/log/efax -X/var/spool/fax
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpatch clean1

## efax 08a

=== Makefile ===
# Makefile for efax

# Change the following to the name of your ANSI C compiler
# (normally gcc).

CC=gcc

# Compile/load options (CFLAGS=-O is good).
#
# For SunOS: add -DNO_STRERROR
#

CFLAGS=-O
LDFLAGS=

# Change the following to the destination directories for
# binaries and man pages. Probably /usr/bin and /usr/man on
# Linux, /usr/local/{bin,man} on other systems.

BINDIR=/usr/bin
MANDIR=/usr/man

.c.o:
	$(CC) $(CFLAGS) -c $<

all:	efax efix

efax:	efax.o efaxlib.o efaxio.o efaxos.o efaxmsg.o
	$(CC) -o efax $(LDFLAGS) efax.o efaxlib.o efaxio.o efaxos.o efaxmsg.o
	strip efax

efix:	efix.o efaxlib.o efaxmsg.o
	$(CC) -o efix $(LDFLAGS) efix.o efaxlib.o efaxmsg.o
	strip efix

install:
	cp fax efax efix $(BINDIR)
	cp fax.1 efax.1 efix.1 $(MANDIR)/man1

clean:	
	rm -f efax efix efax.o efix.o efaxlib.o efaxio.o efaxos.o efaxmsg.o 

efax.o:		efax.c    efaxmsg.h efaxlib.h  efaxio.h efaxos.h
efaxio.o:	efaxio.c  efaxmsg.h            efaxio.h efaxos.h
efaxos.o:	efaxos.c  efaxmsg.h efaxlib.h           efaxos.h
efix.o:		efix.c    efaxmsg.h efaxlib.h           
efaxlib.o:	efaxlib.c efaxmsg.h efaxlib.h           
efaxmsg.o:	efaxmsg.c efaxmsg.h
